video
from0.12 / s
LTX 2.5 Pro
Generates videos from text or images with native audio, camera motion controls and 1080p output.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "lightricks/ltx-2.5/text-to-video/pro", { input: { "fps": 25, "prompt": "A cinematic scene at sunset", "duration": 6, "resolution": "720p", "aspect_ratio": "16:9", "generate_audio": true }, withPolling: true, },); console.log(result);Calling the API
Use lightricks/ltx-2.5/text-to-video/pro with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "lightricks/ltx-2.5/text-to-video/pro", { input: { "fps": 25, "prompt": "A cinematic scene at sunset", "duration": 6, "resolution": "720p", "aspect_ratio": "16:9", "generate_audio": true }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"maxLength": 5000,
"minLength": 2,
"description": "Write your prompt here"
}durationinteger · required
Duration
Options: 6, 8, 10
Default: 6
{
"enum": [
6,
8,
10
],
"type": "integer",
"title": "Duration",
"default": 6
}resolutionstring · optional
Resolution
Options: 720p, 1080p
Default: "720p"
{
"enum": [
"720p",
"1080p"
],
"type": "string",
"title": "Resolution",
"default": "720p"
}aspect_ratiostring · optional
Aspect ratio
Options: 16:9, 9:16
Default: "16:9"
{
"enum": [
"16:9",
"9:16"
],
"type": "string",
"title": "Aspect ratio",
"default": "16:9"
}fpsinteger · optional
Frames per second
Options: 24, 25, 50
Default: 25
{
"enum": [
24,
25,
50
],
"type": "integer",
"title": "Frames per second",
"default": 25
}generate_audioboolean · optional
Generate audio
Default: true
{
"type": "boolean",
"title": "Generate audio",
"default": true
}camera_movementstring · optional
Camera movement
Options: dolly_in, dolly_out, dolly_left, dolly_right, jib_up, jib_down, static, focus_shift
{
"enum": [
"dolly_in",
"dolly_out",
"dolly_left",
"dolly_right",
"jib_up",
"jib_down",
"static",
"focus_shift"
],
"type": "string",
"title": "Camera movement"
}Price
From $0.1200 per second.
View all pricing